#############################################
# Eureka Configuration
eureka.name=zuul
eureka.port=80
eureka.vipAddress=sampleservice.mydomain.net
eureka.serviceUrl.default=http://MACHINE-A/eureka/v2/
eureka.client.props=zuul
eureka.environment=test
eureka.statusPageUrlPath"=/Status
eureka.version=v1.0
eureka.homePageUrlPath=/admin/filterLoader.jsp


#############################################

#############################################
# Astyanax Configuration
cassandra.host=MACHINE-A
cassandra.port=9160 
cassandra.maxConnectionsPerHost=3
#############################################



#############################################
# Health Check Handler
com.netflix.karyon.health.check.handler.classname=com.netflix.karyon.server.DefaultHealthCheckHandler
netflix.platform.admin.resources.port=9192
com.netflix.karyon.unify.health.check.with.eureka=true
#############################################

zuul.filter.pre.path=PathTo\\zuul-master\\zuul-scripts\\src\\main\\groovy\\scripts\\preProcess
zuul.filter.routing.path=PathTo\\zuul-master\\zuul-scripts\\src\\main\\groovy\\scripts\\postProcess
zuul.filter.post.path=PathTo\\zuul-master\\zuul-scripts\\src\\main\\groovy\\scripts\\routing

zuul.niws.clientlist=origin
zuul.niws.defaultClient=origin

zuul.ribbon.namespace=zuul.client
zuul.ribbon.vipAddress.template=%s-%s.netflix.net:7001


zuul.cassandra.host=MACHINE-A

##Ribbon properties

origin.zuul.client.DeploymentContextBasedVipAddresses=[CLIENT_NAME]+ [zuul.ribbon.vipAddress.template]
origin.zuul.client.Port=[PORT]
origin.zuul.client.ReadTimeout=25000
origin.zuul.client.ConnectTimeout=2000
origin.zuul.client.MaxAutoRetries=2
origin.zuul.client.FollowRedirects=false
origin.zuul.client.ConnIdleEvictTimeMilliSeconds=3600000
origin.zuul.client.NIWSServerListClassName=com.netflix.niws.loadbalancer.DiscoveryEnabledNIWSServerList
origin.zuul.client.ServerListRefreshInterval=60000

